# Generated from chef-config-18.4.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name chef-config

Name: rubygem-%{gem_name}
Version: 18.4.12
Release: 1%{?dist}
Summary: Chef Infra's default configuration and config loading library
License: Apache-2.0
URL: https://github.com/chef/chef
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
BuildArch: noarch

%description
Chef Infra's default configuration and config loading library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/chef-config.gemspec
%{gem_instdir}/spec

%changelog
* Thu Mar 14 2024 mockbuilder - 18.4.12-1
- Initial package
